@charset 'utf-8';

/*------------------------------------------------------------------------------
 diary
 ------------------------------------------------------------------------------*/
.diary {
	margin: 0 8px;
}
.diary._PC {
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
	margin: 0;
}

/*
 box
------------------------------------------------------------------------------*/
.diary .box {
	margin: 12px 0;
	background: #F9FAFB;
	box-shadow: 0 1px 3px 0 rgba(0,0,0,.1), 0 1px 2px 0 rgba(0,0,0,.06);
	border-bottom: 1px solid #E2E8F0;
	border-radius: 2px;
}
#PC .diary .box {
	width: 480px;
	margin: 15px auto;
}
.diary._PC .box {
	flex: 0 0 calc((100% - 10px) / 2);
	min-width: 0;
	width: auto !important;
	margin: 0 !important;
}

/*
 head
------------------------------------------------------------------------------*/
.diary .head {
	display: flex;
	align-items: center;
	justify-content: space-between;
	gap: 5px;
	padding: 8px;
	background: #FEDEE9;
	border: 1px solid #FCD3E1;
	border-bottom: 0;
	border-top-left-radius: 3px;
	border-top-right-radius: 3px;
}
.diary .headL {
	line-height: 1.2;
}
.diary .headL a {
	font-weight: bold;
	text-decoration: none;
	color: deeppink;
}

/* _PC */
.diary._PC .headL a {
	display: -webkit-box;
	-webkit-line-clamp: 1;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.diary .headR {
	font-size: 92%;
	white-space: nowrap;
}

/* _staff */
.diary._staff .head {
	background: #F2DBBA;
}
.diary._staff .head .headL a {
	color: #34C;
}

/*
 body
------------------------------------------------------------------------------*/
.diary .body {
	display: flex;
	gap: 10px;
	padding: 10px;
}

/*
 photo
------------------------------------------------------------------------------*/
.diary .photo {
	flex: 0 0 24%;
}
.diary .photoWrap {
	overflow: hidden;
	position: relative;
	display: block;
	width: 100%;
	padding-top: 150%;
}
.diary .photoWrap img:not(.playIcon) {
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

/*
 datas
------------------------------------------------------------------------------*/
.diary .datas {
	flex: 1;
	min-width: 0;
	display: flex;
	flex-direction: column;
	gap: 8px;
}

/* name */
.diary .name {
	display: flex;
	align-items: center;
	gap: 7px;
}
.diary .nameL {
	flex: 1;
	min-width: 0;
}
.diary .nameL .girl {
	display: flex;
	align-items: center;
	gap: 5px;
}
.diary .nameL .girl a {
	font-size: 108%;
	font-weight: bold;
	color: crimson;
	text-decoration: none;
}
.diary .nameL .shop {
	margin: 8px 0 0;
}
.diary .nameL .shop a {
	font-size: 108%;
	font-weight: bold;
	color: darkblue;
	text-decoration: none;
}
.diary .nameR {
	flex: 0 0 50px;
}
.diary .nameR .holder {
	overflow: hidden;
	position: relative;
	display: block;
	width: 100%;
	padding-top: 100%;
	border-radius: 50%;
}
.diary .nameR .holder img {
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
}

/* _staff */
.diary._staff .nameL .girl a {
	color: brown;
}
.diary._staff .nameL .girl .age {
	font-size: 92%;
}

/* content */
.diary .content {
	line-height: 1.2;
	overflow-wrap: break-word;
	word-break: break-all;

	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
}
#PC .diary .content {
	line-height: 1.4;
	-webkit-line-clamp: 4;
}
.diary._PC .content {
	-webkit-line-clamp: 2 !important;
}

/* more */
.diary .more {
	margin-top: auto;
	text-align: right;
}
